<?php 
	$this->load->view('productos/producto_nav');
?>
<ul class="list-group">
	<li class="list-group-item">
		<h2><?php echo $producto['nombre']; ?></h2>
		<ul class="nav nav-pills alt-pills float-right mini-labels">
			<form method="get">
				<li class="nav-item float-left mr-3">
					<label>Almacen de Origen</label>
					<select name ="id_origen" class="form-control filtro-id-origen" onchange="this.form.submit()">
					<?php
					echo '<option value="0">Todos</option>';
					foreach ($almacenes as $k => $v) {
						$selected = '';
						if (!empty($_GET['id_origen'])) {
							if ($_GET['id_origen'] == $k) {
								$selected =' selected="selected"';
							}
						}
						echo '<option value="' . $k . '"' . $selected . '>' . $v . '</option>';
					}
					?>
					</select>
				</li>
				<li class="nav-item float-left mr-3">
					<label>Almacen de Destino</label>
					<select name ="id_destino" class="form-control filtro-id-destino" onchange="this.form.submit()">
					<?php
					echo '<option value="0">Todos</option>';
					foreach ($almacenes as $k => $v) {
						$selected = '';
						if (!empty($_GET['id_destino'])) {
							if ($_GET['id_destino'] == $k) {
								$selected =' selected="selected"';
							}
						}
						echo '<option value="' . $k . '"' . $selected . '>' . $v . '</option>';
					}
					?>
					</select>
				</li>
			</form>
		</ul>
	</li>
	<li class="list-group-item">
		<div class="table-responsive">
			<h4>Traspasos</h4>
			<table class="table table-striped">
				<thead>
					<tr>
						<th class="text-center">ID</th>
						<th class="text-center">Estado</th>
						<th class="text-center">Fecha</th>
						<th class="text-center">Origen</th>
						<th class="text-center">Destino</th>
						<th class="text-center">Cantidad</th>
						<th class="text-center">Disponibles Origen</th>
						<th class="text-center">Disponibles Destino</th>
					</tr>
				</thead>
				<tbody>
					<?php
					if (!empty($traspasos)) {
						foreach($traspasos as $t) {
							?>
							<tr>
								<td class="text-center"><?php echo $t['id']; ?></td>
								<td class="text-center">
									<span class="badge badge-pill badge-status traspaso-status-<?php echo $t['estado_traspaso']; ?>"><?php echo $estadosTraspasos[$t['estado_traspaso']]; ?></span>
								</td>
								<td class="text-center">
								<?php
									if ($t['estado_traspaso'] == 1 || $t['estado_traspaso'] == 2) {
										echo '<span class="tt" title="Fecha Solicitud">'.fechaHora($t['fecha_solicitud']).'</span>';
									}
									else if ($t['estado_traspaso'] == 3) {
										echo '<span class="tt" title="Fecha Preparación">'.fechaHora($t['fecha_preparacion']).'</span>';
									}
									else if ($t['estado_traspaso'] == 4) {
										echo '<span class="tt" title="Fecha Completado">'.fechaHora($t['fecha_completado']).'</span>';
									}
								?>
								</td>


								<td class="text-center"><?php echo $almacenes[$t['id_origen']]; ?></td>
								<td class="text-center"><?php echo $almacenes[$t['id_destino']]; ?></td>
								<td class="text-center">
								<?php
									if ($t['estado_traspaso'] == 1 || $t['estado_traspaso'] == 2) {
										echo '<span class="tt" title="Cantidad Solicitada">'.$t['solicitado'].'</span>';
									}
									else if ($t['estado_traspaso'] == 3) {
										echo '<span class="tt" title="Cantidad Preparada">'.$t['preparado'].'</span>';
									}
									else if ($t['estado_traspaso'] == 4) {
										echo '<span class="tt" title="Cantidad Recibida">'.$t['recibido'].'</span>';
									}
								?>

								</td>
								<td class="text-center"><?php echo $t['disponibles_origen']; ?></td>
								<td class="text-center"><?php echo $t['disponibles_destino']; ?></td>
							</tr>
						<?php
						}
					}
					else { ?>
						<tr>
							<td colspan="9" class="text-center">
								No se econtraron traspasos realizados
							</td>
						</tr>
					<?php
					}
					?>
				</tbody>
			</table>
		</div>
		<div class="row paginacion">
			<div class="info col-12 col-md-6">
				<?php echo $paginacion['info']; ?>
			</div>
			<div class="col-12 col-md-6">
				<?php echo $paginacion['links']; ?>
			</div>
		</div>
	</li>
</ul>
